<div class="tabs-header" role="tablist">
  <ng-container *ngFor="let item of tabs; let i = index">
  <ng-container *ngIf="item.label">
    <button cui-button #tabLabel
            *ngIf="!item.menuTrigger && !item.url"
            type="button" role="tab" mode="ghost" class="tab-label"
            [class]="item.class"
            [class.cui-active]="item.id === active"
            [disabled]="item.disabled"
            [prefixIcon]="item.prefixIcon"
            [suffixIcon]="item.suffixIcon"
            [textClass]="item.textClass"
            [iconClass]="item.iconClass"
            [attr.id]="item.labelId"
            [attr.aria-selected]="item.id === active"
            [attr.aria-controls]="item.id"
            [attr.tabindex]="item.id === active ? undefined : -1"
            (click)="active = item.id">
      {{item.label}}
      <div *ngIf="item.id === active" class="tab-border" [@borderAnimation]></div>
    </button>
    <button cui-button #tabLabel
            *ngIf="item.menuTrigger"
            type="button" mode="ghost" class="tab-label"
            [class]="item.class"
            [class.cui-active]="item.id === activeMenu"
            [cui-menu-trigger]="item.menuTrigger?.menu"
            [disabled]="item.disabled"
            [prefixIcon]="item.prefixIcon"
            [suffixIcon]="item.suffixIcon"
            [textClass]="item.textClass"
            [iconClass]="item.iconClass"
            [attr.id]="item.labelId"
            [attr.aria-selected]="item.id === activeMenu"
            [attr.tabindex]="item.id === activeMenu ? undefined : -1">
      {{item.label}}
      <div *ngIf="item.id === activeMenu" class="tab-border" [@borderAnimation]></div>
    </button>
    <a cui-button #tabLabel
       *ngIf="!item.menuTrigger && item.url"
       mode="ghost" class="tab-label"
       [attr.href]="item.url"
       [attr.target]="item.urlTarget"
       [class]="item.class"
       [class.cui-active]="item.id === active"
       [disabled]="item.disabled"
       [prefixIcon]="item.prefixIcon"
       [suffixIcon]="item.suffixIcon"
       [textClass]="item.textClass"
       [iconClass]="item.iconClass"
       [attr.id]="item.labelId"
       [attr.aria-selected]="item.id === active"
       [attr.tabindex]="item.id === active ? undefined : -1">
      {{item.label}}
      <div *ngIf="item.id === active" class="tab-border" [@borderAnimation]></div>
    </a>
  </ng-container></ng-container>
</div>
<div class="tabs-body" *ngIf="activeContent?.templateRef" role="tabpanel" [attr.id]="activeContent?.id"
     [attr.aria-labelledby]="activeContent?.labelId">
  <ng-container *ngTemplateOutlet="activeContent?.templateRef || null"></ng-container>
</div>
